de.vc.jfo.renderer

## Class FOPRenderer

- java.lang.Object
- - de.vc.jfo.renderer.Renderer
  - - de.vc.jfo.renderer.FOP0205Renderer
    - - de.vc.jfo.renderer.FOPRenderer

- All Implemented Interfaces:
    java.lang.Cloneable, java.lang.Comparable

      public class FOPRenderer
      extends FOP0205Renderer

  Renderer that use Apache FOP to transform XSL-FO documents. For more information about FOP visit http://xml.apache.org/fop/index.html
  Currently supported output formats: PDF, PDF_FORM, PS, PCL, SVG, TXT, XML, PRINT.
  See Also:
    http://xml.apache.org/fop/index.html, `OutputFormat.PDF`, `OutputFormat.PCL`, `OutputFormat.PS`, `OutputFormat.PDF`, `OutputFormat.SVG`, `OutputFormat.PRINT`, `OutputFormat.XML_TREE_FOP`, `OutputFormat.PDF_FORM`, `OutputFormat.PDF_FORM`

- - ### Field Summary

    - ### Fields inherited from class de.vc.jfo.renderer.Renderer

      `DEFAULT_PRIORITY, XML_ATTR_CLASS, XML_ATTR_CONFIG_EDITOR, XML_ATTR_CONFIG_FILE, XML_ATTR_NAME, XML_ATTR_PRIORTIY, XML_ATTR_RESET_IMAGE_CACHE, XML_ATTR_USE_JFO_LOGGING, XML_NODE_RENDERER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FOPRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.avalon.framework.logger.Logger` | `getDefaultLogger()` Gets the default logger for FOP-renderers.
    `static void` | `resetImageCache()` Resets the image cache of FOPs image factory.
    `static void` | `setDefaultLogger(org.apache.avalon.framework.logger.Logger logger)` Sets the default logger for FOP-renderers.

    - ### Methods inherited from class de.vc.jfo.renderer.FOP0205Renderer

      `afterRendering, beforeRendering, configure, createAWTRenderer, doRender, doRender, getDisplayName, getLogger, getPreferredRTF2FOCompatibilityMode, getSupportedOutputFormats, isReady, setLogger`

    - ### Methods inherited from class de.vc.jfo.renderer.Renderer

      `canRender, compareTo, copy, createPrinterJob, equals, getConfigFile, getPrinterJobFactory, getPriority, isUseJFOLogging, logUnsupportedFormat, reconfigure, render, render, render, render, resolveConfig, setConfigFile, setPrinterJobFactory, setPriority, setUseJFOLogging, supportsFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FOPRenderer

          public FOPRenderer()

  - ### Method Detail

    - #### setDefaultLogger

          public static void setDefaultLogger(org.apache.avalon.framework.logger.Logger logger)

      Sets the default logger for FOP-renderers. Initially the logger of JFO is used as default logger.
      Parameters:
        `logger` - Logger.

    - #### getDefaultLogger

          public static org.apache.avalon.framework.logger.Logger getDefaultLogger()

      Gets the default logger for FOP-renderers.
      Returns:
        Default FOP logger.

    - #### resetImageCache

          public static void resetImageCache()

      Resets the image cache of FOPs image factory. Simply calls `org.apache.fop.image.FopImageFactory.resetCache()`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.